cURL
curl --request POST \ --url https://whitebit.com/api/v4/main-account/smart-flex/plans \ --header 'Content-Type: application/json' \ --header 'X-TXC-APIKEY: <api-key>' \ --data ' { "limit": 50, "offset": 0, "ticker": "USDT", "request": "{{request}}", "nonce": "{{nonce}}" } '
[ { "id": "8f2e9d3c-1a4b-4c2d-9e5f-6a7b8c9d0e1f", "ticker": "USDT", "minInvestment": "10.0", "maxInvestment": "100000.0", "maxRate": "0.15" }, { "id": "7e1d8c2b-9a3b-3b1c-8d4e-5a6b7c8d9e0f", "ticker": "BTC", "minInvestment": "0.001", "maxInvestment": "10.0", "maxRate": "0.12" } ]
API key authentication using signed requests
Request signature
"{{request}}"
Unique request identifier
"{{nonce}}"
Pagination limit.
x <= 100
50
Pagination offset.
x >= 0
0
Filter by currency ticker. Example: USDT
"USDT"
Successful response
Flex plan identifier
"12"
Currency ticker
Minimum investment amount
"10.0"
Maximum investment amount
"100000.0"
Maximum interest rate
"0.0030"
Was this page helpful?